-- $Header: /code/pg_trompe/drop.sql,v 1.2 2008/05/07 21:32:21 doj Exp $

-- drop replication from a database

CREATE OR REPLACE FUNCTION replication.drop()
RETURNS int
AS $emp_stamp$
 DECLARE
  t RECORD;
  tname text;
 BEGIN
  FOR t IN select * from replication.tables LOOP
    tname := replace(t.name, '.', '_');
    IF t.lo = TRUE THEN
      EXECUTE 'DROP TRIGGER ' || tname || '_replication_loevent on ' || t.name;
    ELSE
      EXECUTE 'DROP TRIGGER ' || tname || '_replication_event on ' || t.name;
    END IF;
  END LOOP;
  RETURN 0;
 END;
$emp_stamp$ LANGUAGE plpgsql;

select replication.drop();

DROP SCHEMA replication CASCADE;
